IMPORTANT Information For IE 6 Users

iTeller and mTeller Browsers will no longer support internet connections using SSL 1.0 and Internet Explorer (IE) 6.0 after December 31, 2016 and possibly as early as December 30, 2016. Microsoft discontinued support of Internet Explorer 6.0 in April of 2014 and SSL 1.0 which is no longer considered a secure connection.

What Next?

Users must stop using Internet Explorer 6.0 and begin using a newer version of Internet Explorer, Chrome or Firefox as their browser when they access iTeller or mTeller Browser. If a user attempts to access iTeller or mTeller Browser with IE 6.0, they will receive a generic message stating that the page cannot be displayed.

Please upgrade your browser immediately if you are using IE 6.